Replace a card
curl --request POST \
--url https://apigwuat.corpay.com/cards/{cardIdentifier}/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cardTypeId": 1,
"purchaseCategoryId": 2,
"additionalEmbossing": "FLEET-01",
"driverName": "James Smith",
"vehicleRegNumber": "AB12 CDE",
"cardGroupId": 12
}
'import requests
url = "https://apigwuat.corpay.com/cards/{cardIdentifier}/replace"
payload = {
"cardTypeId": 1,
"purchaseCategoryId": 2,
"additionalEmbossing": "FLEET-01",
"driverName": "James Smith",
"vehicleRegNumber": "AB12 CDE",
"cardGroupId": 12
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cardTypeId: 1,
purchaseCategoryId: 2,
additionalEmbossing: 'FLEET-01',
driverName: 'James Smith',
vehicleRegNumber: 'AB12 CDE',
cardGroupId: 12
})
};
fetch('https://apigwuat.corpay.com/cards/{cardIdentifier}/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/schemas/Status/example"
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Card
Replace a card
Block and replace a card, optionally modifying card parameters. If card parameters are not provided, the replaced card contains exact same properties as original card.
POST
/
cards
/
{cardIdentifier}
/
replace
Replace a card
Performance expectations:
p50: 1200 ms, p99: 2200 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 1200 ms, p99: 2200 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Path Parameters
Body
application/json
Response
Operation status
The response is of type object.
⌘I